## netpipe 2.4

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # Makefile for NetPIPE
-# $Id: Makefile,v 1.7 1998/09/24 16:03:49 ghelmer Exp $
+# $Id: Makefile,v 1.8 1999/04/27 21:03:25 ghelmer Exp $
 #
 
 # Default C compiler: must be an ANSI C compiler
@@ -32,6 +32,7 @@
 #
 
 TCP:	NPtcp
+	@echo 'NPtcp has been built.'
 
 NPtcp:	NPtcp.o TCP.o
 	$(CC) $(CFLAGS) NPtcp.o TCP.o  -o NPtcp $(EXTRA_LIBS)
@@ -43,6 +44,7 @@
 	$(CC) $(CFLAGS) -DTCP -c TCP.c
 
 MPI:	NPmpi
+	@echo 'NPmpi has been built.'
 
 NPmpi:	NPmpi.o MPI.o
 	$(CC) $(CFLAGS) NPmpi.o MPI.o -o NPmpi  -L $(MPI_HOME)/lib/$(MPI_ARCH)/$(MPI_DEVICE) -lmpi $(EXTRA_LIBS)
@@ -54,6 +56,7 @@
 	$(CC) $(CFLAGS) -DMPI -I$(MPI_HOME)/include -c MPI.c
 
 PVM:	NPpvm
+	@echo 'NPpvm has been built.'
 
 NPpvm:	NPpvm.o PVM.o
 	$(CC) $(CFLAGS) NPpvm.o PVM.o -o NPpvm  -L$(PVM_HOME)/lib/$(PVM_ARCH)/ -lpvm3 $(EXTRA_LIBS)
