## netpipe 3.7.2

=== debian/changelog ===
netpipe (3.7.2-9) unstable; urgency=medium

  * Bug fix: "FTBFS: ./src/mpi2.c:110:7: error: implicit declaration of
    function ‘sched_yield’ [-Werror=implicit-function-declaration]",
    thanks to Lucas Nussbaum (Closes: #1066522).

 -- Camm Maguire <camm@debian.org>  Tue, 09 Apr 2024 11:49:01 -0400

netpipe (3.7.2-8.1) unstable; urgency=medium

  * Non-maintainer upload
  * Drop netpipe-pvm (Closes: #1059653)

 -- Bastian Germann <bage@debian.org>  Sun, 21 Jan 2024 14:26:27 +0000

netpipe (3.7.2-8) unstable; urgency=medium

  * Accept NMUs
  * priority optional
  * update build-depends
  * Bug fix: "FTBFS: Errors while processing: openmpi-bin
    libopenmpi-dev:amd64 sbuild-build-depends-netpipe-dummy", thanks to
    Lucas Nussbaum (Closes: #924850).

 -- Camm Maguire <camm@debian.org>  Mon, 25 Mar 2019 12:44:58 +0000

netpipe (3.7.2-7.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on libmpich-dev instead of libmpich2-dev.
  * Build the netpipe-openmpi package on arm64 and ppc64el. Closes: #746692.
  * Build using dpkg-buildflags.
  * Bump the standards version.

 -- Matthias Klose <doko@debian.org>  Sat, 16 Jan 2016 14:58:54 +0100

netpipe (3.7.2-7.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace mpich2 by mpich. (Closes: #810512)

 -- Anton Gladky <gladk@debian.org>  Sat, 09 Jan 2016 12:46:32 +0100

netpipe (3.7.2-7.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix compilation against new mpich. (Closes: #808591)

 -- Anton Gladky <gladk@debian.org>  Sat, 26 Dec 2015 16:17:51 +0100

netpipe (3.7.2-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace build-depends libmpich2-dev by libmpich-dev. (Closes: #808080)

 -- Anton Gladky <gladk@debian.org>  Tue, 15 Dec 2015 21:13:41 +0100

netpipe (3.7.2-7) unstable; urgency=low

  * prioity set to extra

 -- Camm Maguire <camm@debian.org>  Thu, 10 May 2012 13:15:48 +0000

netpipe (3.7.2-6) unstable; urgency=low

  * mpich-bin -> mpich2 in netpipe-mpich2 depends.

 -- Camm Maguire <camm@debian.org>  Fri, 20 Apr 2012 13:30:26 +0000

netpipe (3.7.2-5) unstable; urgency=low

  * netpipe-pvm extra priority

 -- Camm Maguire <camm@debian.org>  Mon, 16 Apr 2012 17:46:01 +0000

netpipe (3.7.2-4) unstable; urgency=low

  * optional priority

 -- Camm Maguire <camm@debian.org>  Mon, 16 Apr 2012 15:51:58 +0000

netpipe (3.7.2-3) unstable; urgency=low

  * remove mpich dependency unless maintainer wants to preserve it.

 -- Camm Maguire <camm@debian.org>  Mon, 16 Apr 2012 13:55:23 +0000

netpipe (3.7.2-2) unstable; urgency=low

  * Priority: extra for override file

 -- Camm Maguire <camm@debian.org>  Thu, 12 Apr 2012 13:12:44 +0000

netpipe (3.7.2-1) unstable; urgency=low

  * New upstream release
  * lintian fixes

 -- Camm Maguire <camm@debian.org>  Wed, 11 Apr 2012 20:12:24 +0000

netpipe (3.7.1-2) unstable; urgency=low

  * reinstate legacy support for older mpi implementations still in use.

 -- Camm Maguire <camm@debian.org>  Mon, 02 Apr 2012 20:42:14 +0000

netpipe (3.7.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Replace deprecated MPI implementations with OpenMPI and MPICH2.
    (Closes: #571449)

 -- Nicholas Breen <nbreen@debian.org>  Wed, 14 Mar 2012 18:46:53 -0700

netpipe (3.7.1-1) unstable; urgency=low

  * New upstream release
  * Bug fix: "debian/watch fails to report upstream&#39;s version", thanks
    to Raphael Geissert (Closes: #450010).

 -- Camm Maguire <camm@debian.org>  Wed, 06 Jan 2010 19:07:32 +0000

netpipe (3.6.2-2) unstable; urgency=low

  * Fix dependencies for mpich and lam transitions, Closes: #323744.
  * newer standards

 -- Camm Maguire <camm@enhanced.com>  Fri,  7 Oct 2005 14:18:20 +0000

netpipe (3.6.2-1) unstable; urgency=high

  * New upstream release

 -- Camm Maguire <camm@enhanced.com>  Tue, 26 Oct 2004 20:28:24 +0000

netpipe (3.6-4) unstable; urgency=low

  * 
  * Bug fix: "netpipe-tcp: invalid option -P", thanks to Kevin Turner
    (Closes: #251160). New manpage from upstream elides -P option.
  * Bug fix: "netpipe-tcp: option -t requires an argument", thanks to
    Kevin Turner (Closes: #251162). New manpage from upstrream elides
    obsolete -t option.
  * Bug fix: "option -r misdocumented in manpage", thanks to Kevin Turner
    (Closes: #251167). New manpage from upstream correctly documents -r
    option.
  * Bug fix: "netpipe-tcp: option -i misdocumented in manpage", thanks to
    Kevin Turner (Closes: #251169). New manpage from upstream correctly
    documents -i option.
  * Bug fix: "netpipe-tcp: output contains three columns, not five",
    thanks to Kevin Turner (Closes: #251619). New manpage from upstream
    correctly documents np.out file format.

 -- Camm Maguire <camm@enhanced.com>  Wed,  2 Jun 2004 13:43:28 +0000

netpipe (3.6-3) unstable; urgency=low

  * Earlier bug close misapplied, fix here.

 -- Camm Maguire <camm@enhanced.com>  Mon,  5 Apr 2004 20:30:19 +0000

netpipe (3.6-2) unstable; urgency=low

  * Bug fix: "netpipe-tcp: Option -P documented but not known", thanks to
    Stephane Bortzmeyer (Closes: #231882).  Edited manpages and netpipe.c

 -- Camm Maguire <camm@enhanced.com>  Mon,  5 Apr 2004 20:26:06 +0000

netpipe (3.6-1) unstable; urgency=low

  * New upstream release

 -- Camm Maguire <camm@enhanced.com>  Fri, 23 Jan 2004 03:33:34 +0000

netpipe (3.5-3) unstable; urgency=low

  * Build-depend on lam4-dev
  * Newer standards
  * debhelper compat level 4

 -- Camm Maguire <camm@enhanced.com>  Wed, 21 Jan 2004 21:02:27 +0000

netpipe (3.5-2) unstable; urgency=low

  * Applied 64bit safe patches, Closes: #214501

 -- Camm Maguire <camm@enhanced.com>  Tue, 14 Oct 2003 17:19:19 +0000

netpipe (3.5-1) unstable; urgency=low

  * New upstream release, Closes: #205285
  * Added netpipe_paper.ps to docs
  * Carried forward manpage from 2.4
  * Applied bounds checking patch to -o argument, Closes: #203488
  * Added NPlam2 executable


