=== debian/control ===
Source: netpipe
Section: net
Priority: optional
Maintainer: Camm Maguire <camm@debian.org>
Build-Depends: lam4-dev ( >= 7.1.4-5 ),
 libopenmpi-dev,
 libmpich-dev,
 debhelper-compat ( = 13 )
Standards-Version: 4.3.0

Package: netpipe-tcp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Network performance tool using the TCP protocol
 NetPIPE is a protocol independent performance tool that encapsulates
 the best of ttcp and netperf and visually represents the network
 performance under a variety of conditions. By taking the end-to-end
 application view of a network, NetPIPE clearly shows the overhead
 associated with different protocol layers. NetPIPE answers such
 questions as: how soon will a given data block of size k arrive at its
 destination? Which network and protocol will transmit size k blocks
 the fastest? What is a given network's effective maximum throughput
 and saturation level?  Does there exist a block size k for which the
 throughput is maximized? How much communication overhead is due to the
 network communication protocol layer(s)? How quickly will a small (< 1
 kbyte) control message arrive, and which network and protocol are best
 for this purpose?
 .
 This package uses a raw TCP protocol to measure network performance.

Package: netpipe-lam
Architecture: any
Depends: lam-runtime, ${shlibs:Depends}, ${misc:Depends}
Description: Network performance tool using LAM MPI
 NetPIPE is a protocol independent performance tool that encapsulates
 the best of ttcp and netperf and visually represents the network
 performance under a variety of conditions. By taking the end-to-end
 application view of a network, NetPIPE clearly shows the overhead
 associated with different protocol layers. NetPIPE answers such
 questions as: how soon will a given data block of size k arrive at its
 destination? Which network and protocol will transmit size k blocks
 the fastest? What is a given network's effective maximum throughput
 and saturation level?  Does there exist a block size k for which the
 throughput is maximized? How much communication overhead is due to the
 network communication protocol layer(s)? How quickly will a small (< 1
 kbyte) control message arrive, and which network and protocol are best
 for this purpose?
 .
 This package measures network performance using the MPI protocol, a
 Message Passing Interface frequently used in parallel processing, and 
 which uses in turn TCP as its underlying transport.   The implementation
 of the MPI standard used by this package is that provided by the lam set
 of packages.

Package: netpipe-openmpi
Architecture: alpha amd64 armel armhf arm64 i386 ia64 powerpc powerpcspe ppc64el sparc sparc64 kfreebsd-i386 kfreebsd-amd64  hurd-i386
Depends: openmpi-bin, ${shlibs:Depends}, ${misc:Depends}
Description: Network performance tool using OpenMPI
 NetPIPE is a protocol independent performance tool that encapsulates
 the best of ttcp and netperf and visually represents the network
 performance under a variety of conditions. By taking the end-to-end
 application view of a network, NetPIPE clearly shows the overhead
 associated with different protocol layers. NetPIPE answers such
 questions as: how soon will a given data block of size k arrive at its
 destination? Which network and protocol will transmit size k blocks
 the fastest? What is a given network's effective maximum throughput
 and saturation level?  Does there exist a block size k for which the
 throughput is maximized? How much communication overhead is due to the
 network communication protocol layer(s)? How quickly will a small (< 1
 kbyte) control message arrive, and which network and protocol are best
 for this purpose?
 .
 This package measures network performance using the MPI protocol, a
 Message Passing Interface frequently used in parallel processing, and 
 which uses in turn TCP as its underlying transport.   The implementation
 of the MPI standard used by this package is that provided by the openmpi
 set of packages.

Package: netpipe-mpich2
Architecture: any
Depends: mpich, ${shlibs:Depends}, ${misc:Depends}
Description: Network performance tool using MPICH2 MPI
 NetPIPE is a protocol independent performance tool that encapsulates
 the best of ttcp and netperf and visually represents the network
 performance under a variety of conditions. By taking the end-to-end
 application view of a network, NetPIPE clearly shows the overhead
 associated with different protocol layers. NetPIPE answers such
 questions as: how soon will a given data block of size k arrive at its
 destination? Which network and protocol will transmit size k blocks
 the fastest? What is a given network's effective maximum throughput
 and saturation level?  Does there exist a block size k for which the
 throughput is maximized? How much communication overhead is due to the
 network communication protocol layer(s)? How quickly will a small (< 1
 kbyte) control message arrive, and which network and protocol are best
 for this purpose?
 .
 This package measures network performance using the MPI protocol, a
 Message Passing Interface frequently used in parallel processing, and 
 which uses in turn TCP as its underlying transport.   The implementation
 of the MPI standard used by this package is that provided by the mpich
 package.
